<div id="panel-creation_flat " class="panel panel-creation_flat container-fluid col-md-6 mx-auto mb-5 bg-white rounded">

  <div class="panel-heading">
    <div class="row">
      <div class="col-xs-12 title" id="title">
        <h4>Ajouter un nouvel appartement :</h4>
      </div>
    </div>
  </div>
  <div class="panel-body">
    <div class="row">
      <div class="col-lg-12">
        <form [formGroup]="flatForm" (ngSubmit)="flatForm.valid && submitRegistration(flatForm.value)" novalidate>
          <div class="form-group col-md-12">
            <textarea class="col-md-12" placeholder="Entrez la description du logement..."
              formControlName="flatDescription" required></textarea>
          </div>

          <div class="form-group">
            <input type="text" id="flat_guidance" name="flat_guidance" class="form-control" tabindex="2"
              placeholder="Entrez l'orientation du logement..." formControlName="flatGuidance" required>
          </div>
          <div class="form-group">
            <input type="number" tabindex="3" class="form-control" id="flat_capacity"
              placeholder="Entrez la capacité du logement en terme de personnes..." formControlName="flatCapacity">
          </div>
          <div class="form-group">
            <select placeholder="Type d'appartement" formControlName="flatCategory">
              <option *ngFor="let category of listCategories" value="{{category.flatCategoryId}}">
                {{ category.flatCategoryName }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <input type="number" placeholder="Combien d'appartement comme celui-ci souhaitez vous créer ?"
              formControlName="numbersFlat">
          </div>
          <div class="form-group">
            <img [style.width.px]="urlCompo.adjustedWidth" [style.height.px]="150"
              *ngIf="urlCompo.loadingPhoto && base64Image !== undefined" [src]="base64Image">
            <div fxlayoutAlign="center center" layout-fill>
              <input type="file" tabindex="2" accept="image/x-png,image/gif,image/jpeg" formDataName="photo"
                (change)="changeListener($event)" value="{{picture?.photo}}" />
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-sm-6 col-sm-offset-3 mx-auto">
                <button tabindex="5" class=' form-control btn btn-primary' type='submit'
                  [disabled]='!flatForm.valid'>Créer l'appartement</button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
